using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HaloPlugins.Xbox
{
    public class eqip : TagDefinition
    {
       public eqip() : base("eqip", "equipment", 316)
       {
           // Item
           Fields.AddRange(new item().Fields.ToArray());

           // Eqip
           Fields.AddRange(new IMetaNode[] {
           new HaloPlugins.Enum("Powerup Type", new string[] { "None", "Double_Speed", "Oversheild", "Active_Camouflage", "Full-Spectrum_Vision", "Health", "Grenade" }, 16),
           new HaloPlugins.Enum("Grenade Type", new string[] { "Human_Fragmentation", "Covenant_Plasma" }, 16),
           new Value("Powerup Time", typeof(float)),
           new TagReference("Pickup_Sound", "snd!"),
           });
       }
    }
}
